{
  name: "Freeze Fanatic",
  rating: 4,
  num: -2003,
  flags: {},
  onResidualOrder: 29,
  onResidualSubOrder: 1,
  onResidual(holder) {
    let thawed = false;
    for (const mon of this.getAllActive()) {
      if (mon && mon.status === "frz") {
        this.add("-curestatus", mon, "frz", "[from] ability: Freeze Fanatic", "[of] " + holder.name);
        mon.cureStatus();
        thawed = true;
      }
    }
    if (thawed && !holder.volatiles["focusenergy"]) {
      this.add("-ability", holder, "Freeze Fanatic");
      holder.addVolatile("focusenergy", holder, this.effect);
    }
  }
}
